# mPy - test combination use of Lcd and Led7 using twi i2c busses
# Copyright by Anthony Vogelaar, Perth Scotland
# rev 0.10  2025-06-27  initoal release

import	time
from	driver_lcd	import	Lcd
from	drivers		import	Led7

# ======================== main ===========================

# as Lcd and Led7 use different I2C addresses no interference
def main():
    lcd = Lcd()
    led7 = Led7(pin_scl=15, pin_sda=2, i2c_bus=1)
    while True:
        lcd.print('Hello'); lcd.print('   world!')
        time.sleep(2)
        led7.show(100)
        time.sleep(2)
        lcd.print('Good'); lcd.print('   morning.')
        time.sleep(2)
        led7.show(200)
        time.sleep(2)
        
        
main()

# =========================== end ==========================
